Murat TATAR God saves lost souls , I save lost passwords

31Ağu/120

Plesk Linux update sonrası Internal Server Error ve cgi_wrapper hatası çözümü

Linux Plesk kontrol paneli update sonrasında PHP servisinin düzgün çalışmaması sonucunda, web sitenizi girdiğiniz de “500 Internal Server Error” hatası ile karşılaşıyorsanız ve error_log dosyası üzerinden aşağıdaki hataları görüyorsanız, çözümü aşağıdaki gibidir.

SSH üzerinden aşağıdaki komutu çalıştırıp error_log dosyasının son 15 hata satırını listeleyebiliriz.

tail -fn 15 /var/www/vhosts/domainadi.com/statistics/logs/error_log

[Tue Jun 05 20:22:27 2012] [error] [client 212.68.53.54] suexec policy violation: see suexec log for more details
[Tue Jun 05 20:22:27 2012] [error] [client 212.68.53.54] Premature end of script headers: cgi_wrapper
[Tue Jun 05 20:22:28 2012] [error] [client 212.68.53.54] suexec policy violation: see suexec log for more details
[Tue Jun 05 20:22:28 2012] [error] [client 212.68.53.54] Premature end of script headers: cgi_wrapper

error_log dosyası çıktısında yukarıdaki hata mesajları mevcut ise aşağıdaki komutları SSH üzerinde çalıştırarak sorunu çözebilirsiniz.

cp /usr/sbin/suexec /usr/sbin/suexec.err

cp /usr/local/psa/suexec/psa-suexec /usr/sbin/suexec

chown root:apache /usr/sbin/suexec

chmod 4510 /usr/sbin/suexec
   
Copy Protected by Chetan's WP-Copyprotect.